%define pname pybonjour
%define name python-%{pname}
%define version 1.1.1
%define distname %{pname}-%{version}
%define release %mkrel 4

%define dns_sd %mklibname avahi-compat-libdns_sd 1

Summary:	Pure-Python interface to Apple Bonjour and compatible DNS-SD libraries
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{distname}.tar.gz
License:	MIT
Group:		System/Libraries
Url:		http://code.google.com/p/pybonjour/
BuildRequires:	%{dns_sd}
Requires:	%{dns_sd}

%description
pybonjour provides a pure-Python interface to Apple Bonjour and
compatible DNS-SD libraries (such as Avahi). It allows Python scripts
to take advantage of Zero Configuration Networking (Zeroconf) to
register, discover, and resolve services on both local and wide-area
networks.

%prep
%setup -q -n %{distname}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%doc README examples
%{python_sitelib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 543992
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.1-3.mga4
+ Revision: 499150
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 blino <blino> 1.1.1-1.mga2
+ Revision: 233073
- initial release
- Created package structure for python-pybonjour.

